<head>
  <title>Cheaterliste</title>
  <link href="style.css?v=<?php date("YmdHis");?>" rel="stylesheet" type="text/css">
</head>

<?php

session_start();
// $_SESSION['Test'] = 'VerrückterMongoJunge';
// echo '<pre>' . $_SESSION['Test'] . '</pre>' ;
if (!isset($_SESSION['id'])){
  echo '<h1>Nicht eingeloggt!</h1>';
  echo '<form action="/login.php" method="post">' .
          'Username:<input type="text" name="user">' .
          'Passwort:<input type="password" name="pw">' .
          '<input type="submit" value="Login">' .
        '</form>';
  return;
}

$cockDatabase = "dulow";
$host = "localhost";
$user = "root";
$password = "";

$conn = new mysqli($host,$user,$password,$cockDatabase);
if($conn->connect_error){
    die("Verbindung fehlgeschlagen: " . $conn->connect_error);
}
?>

<table  style="width:50%" class="center">
  <tr>
    <th style="padding: 0.5em 0.5em">Eintrag</th>
    <th class="profil">Steam-Profil</th>
    <th style="padding: 0.4em">Ersteller</th>
    <th style="padding: 0.4em" class="Zeit">Erstelldatum</th>
    <th style="padding: 0.4em">VAC-Ban</th>
  </tr>

<?php
$sql = "SELECT * FROM cheaterliste ORDER BY addtime DESC;";
$result = $conn->query($sql);
$number = 1;


while($row = $result->fetch_assoc()){
  if($row['deleted'])
    continue;
  if($number % 2 == 0){
    $output = "<tr class='tr_even'>
            <td>".$number."</td>
            <td class='profil'><a target ='_blank'href='".$row['url']."'>".$row['url']."</td>
            <td>".$row['author']."</td>
            <td>".$row['addtime']."</td>";
    if($row['banned'] == 0){
          $output .= "<td><img src='kreuz.png' height='20' width='20'</td>
          </tr>";
    }else{
      $output .= "<td><img src='haken.png' height='20' width='20'</td>
      </tr>";
    }
  }else{
    $output = "<tr class='tr_odd'>
            <td>".$number."</td>
            <td class='profil'><a target ='_blank'href='".$row['url']."'>".$row['url']."</td>
            <td>".$row['author']."</td>
            <td>".$row['addtime']."</td>";
    if($row['banned'] == 0){
          $output .= "<td><img src='kreuz.png' height='20' width='20'</td>
          </tr>";
    }else{
      $output .= "<td><img src='haken.png' height='20' width='20'</td>
      </tr>";
    }
  }
echo $output;
$number++;
}
?>
</table><br>

<form action="/insert.php" method="post">
Text:<input type="text" name="author"><br>
URL:<input type="text" name="url"><br>
<input type="submit" value="Hinzufügen">
</form>

<?php


?>
